Package org.opencv.plot

## Class Plot2d

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.plot.Plot2d

-     public class Plot2d
      extends Algorithm

  plot Plot function for Mat data

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Plot2d​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Plot2d` | `__fromPtr__​(long addr)` |
    `static Plot2d` | `create​(Mat data)` | Creates Plot2d object
    `static Plot2d` | `create​(Mat dataX, Mat dataY)` | Creates Plot2d object
    `protected void` | `finalize()` |
    `void` | `render​(Mat _plotResult)` |
    `void` | `setGridLinesNumber​(int gridLinesNumber)` |
    `void` | `setInvertOrientation​(boolean _invertOrientation)` |
    `void` | `setMaxX​(double _plotMaxX)` |
    `void` | `setMaxY​(double _plotMaxY)` |
    `void` | `setMinX​(double _plotMinX)` |
    `void` | `setMinY​(double _plotMinY)` |
    `void` | `setNeedPlotLine​(boolean _needPlotLine)` | Switches data visualization mode
    `void` | `setPlotAxisColor​(Scalar _plotAxisColor)` |
    `void` | `setPlotBackgroundColor​(Scalar _plotBackgroundColor)` |
    `void` | `setPlotGridColor​(Scalar _plotGridColor)` |
    `void` | `setPlotLineColor​(Scalar _plotLineColor)` |
    `void` | `setPlotLineWidth​(int _plotLineWidth)` |
    `void` | `setPlotSize​(int _plotSizeWidth, int _plotSizeHeight)` |
    `void` | `setPlotTextColor​(Scalar _plotTextColor)` |
    `void` | `setPointIdxToPrint​(int pointIdx)` | Sets the index of a point which coordinates will be printed on the top left corner of the plot (if ShowText flag is true).
    `void` | `setShowGrid​(boolean needShowGrid)` |
    `void` | `setShowText​(boolean needShowText)` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Plot2d

          protected Plot2d​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Plot2d __fromPtr__​(long addr)

    - #### create

          public static Plot2d create​(Mat data)

      Creates Plot2d object
      Parameters:
        `data` - \(1xN\) or \(Nx1\) matrix containing \(Y\) values of points to plot. \(X\) values will be equal to indexes of correspondind elements in data matrix.
      Returns:
        automatically generated

    - #### create

          public static Plot2d create​(Mat dataX,
                                      Mat dataY)

      Creates Plot2d object
      Parameters:
        `dataX` - \(1xN\) or \(Nx1\) matrix \(X\) values of points to plot.
        `dataY` - \(1xN\) or \(Nx1\) matrix containing \(Y\) values of points to plot.
      Returns:
        automatically generated

    - #### render

          public void render​(Mat _plotResult)

    - #### setGridLinesNumber

          public void setGridLinesNumber​(int gridLinesNumber)

    - #### setInvertOrientation

          public void setInvertOrientation​(boolean _invertOrientation)

    - #### setMaxX

          public void setMaxX​(double _plotMaxX)

    - #### setMaxY

          public void setMaxY​(double _plotMaxY)

    - #### setMinX

          public void setMinX​(double _plotMinX)

    - #### setMinY

          public void setMinY​(double _plotMinY)

    - #### setNeedPlotLine

          public void setNeedPlotLine​(boolean _needPlotLine)

      Switches data visualization mode
      Parameters:
        `_needPlotLine` - if true then neighbour plot points will be connected by lines. In other case data will be plotted as a set of standalone points.

    - #### setPlotAxisColor

          public void setPlotAxisColor​(Scalar _plotAxisColor)

    - #### setPlotBackgroundColor

          public void setPlotBackgroundColor​(Scalar _plotBackgroundColor)

    - #### setPlotGridColor

          public void setPlotGridColor​(Scalar _plotGridColor)

    - #### setPlotLineColor

          public void setPlotLineColor​(Scalar _plotLineColor)

    - #### setPlotLineWidth

          public void setPlotLineWidth​(int _plotLineWidth)

    - #### setPlotSize

          public void setPlotSize​(int _plotSizeWidth,
                                  int _plotSizeHeight)

    - #### setPlotTextColor

          public void setPlotTextColor​(Scalar _plotTextColor)

    - #### setPointIdxToPrint

          public void setPointIdxToPrint​(int pointIdx)

      Sets the index of a point which coordinates will be printed on the top left corner of the plot (if ShowText flag is true).
      Parameters:
        `pointIdx` - index of the required point in data array.

    - #### setShowGrid

          public void setShowGrid​(boolean needShowGrid)

    - #### setShowText

          public void setShowText​(boolean needShowText)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`